Subject: [Fot] VARA British Extravaganza

From: Chuck Gee via Fot <[email-masked]>
Date: Mon, 17 May 2021 11:24:59 -0700

Hello all,

We all had a great weekend at the 2021 BE this year.  There were around 10 Triumphs in attendance.  I ended up oiling down my Spitfire clutch Saturday morning because of a leaking transmission seal, but fixed it in time to win the DP race on Saturday afternoon!  Mordy won the newly minted Kastner trophy for the highest finishing Triumph in the all British race later in the day (second overall, I was fourth).  

Steve Belfer had a head gasket problem that prevented him from running Sunday.  Jerry Barker broke a differential Saturday afternoon and didn’t run Sunday either.  Alan Berry performed well in his Joe Siam Spitfire all weekend too.  I finished 2nd in DP, Alan in 3rd, and Mordy had an issue so he came in early.  Steve Jones was also there in his GT6 and finished in 5th.  Sorry if I missed anyone else.

We all had a great time hanging out at the track again.  It’s fun to be around racing friends.

Chuck Gee
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]